// creator  : weidu.exe (version 23100)
// argument : VICON25A.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~VICON25A~

IF ~Global("ViconiaSummoned","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY #65707 /* ~So.  The abbil calls and I come.  Shall I play the part of a slavish dog?  Is that what you think to make of me by this summoning?~ [VICO2501] */
  IF ~Global("ViconiaRomanceActive","GLOBAL",2)~ THEN REPLY #65708 /* ~You'll do what I tell you to and you'll like it.~ */ DO ~SetGlobal("ViconiaSummoned","GLOBAL",2)~ GOTO 1
  IF ~!Global("ViconiaRomanceActive","GLOBAL",2)~ THEN REPLY #65709 /* ~You'll do what I tell you to and you'll like it.~ */ DO ~SetGlobal("ViconiaSummoned","GLOBAL",2)~ GOTO 2
  IF ~~ THEN REPLY #65710 /* ~Not at all.  I need your help.~ */ DO ~SetGlobal("ViconiaSummoned","GLOBAL",2)~ GOTO 3
  IF ~~ THEN REPLY #65711 /* ~Nice to see you, too, Viconia.~ */ DO ~SetGlobal("ViconiaSummoned","GLOBAL",2)~ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #65712 /* ~Mmmmm.  Now that is the mrann d'ssinss that I remember.  Tell me why I am here. My powers are required on some dangerous escapade?~ */
  IF ~~ THEN REPLY #65713 /* ~That's it exactly.~ */ GOTO 5
  IF ~~ THEN REPLY #65714 /* ~Not at all.  I just missed your regular abuse.~ */ GOTO 5
  IF ~~ THEN REPLY #65718 /* ~Yes, now get in the party and keep your mouth shut.~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #65715 /* ~I may allow you to command me, but you should be wary.  Lil alurl velve zhah lil velkyn uss.  'The best knife is the unseen one.'  Am I to join your little group?~ */
  IF ~~ THEN REPLY #65716 /* ~I need a good cleric.~ */ GOTO 5
  IF ~~ THEN REPLY #65717 /* ~Yes, now get in the party and keep your mouth shut.~ */ GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 4.0 0.2
  SAY #65719 /* ~My help?  Ah, it must be because the drow are so renowned for their sense of nobility.  So be it, <CHARNAME>.  I am willing to join with you again... for now.~ */
  IF ~~ THEN REPLY #65720 /* ~Good, let's go.~ */ DO ~JoinParty()~ EXIT
  IF ~~ THEN REPLY #65721 /* ~Wait here awhile, then... I will deal with you later.~ */ GOTO 7
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #65722 /* ~Your sarcasm is not lost on me, dalhar.  Tell me, then... why summon me at all?  Perhaps you have found some use for me that I am unaware of?~ */
  IF ~~ THEN REPLY #65723 /* ~I need your help, Viconia.~ */ GOTO 3
  IF ~~ THEN REPLY #65724 /* ~Yes, I need a good cleric.~ */ GOTO 5
  IF ~~ THEN REPLY #65725 /* ~Just come with me. I've enough chatter for one day.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 4.1 2.0 1.1 1.0
  SAY #65726 /* ~Then I shall not fail you.  It shall be enjoyable to stand at your side and watch your dark godsblood gain its full power.~ */
  IF ~~ THEN REPLY #65727 /* ~Good, let's go then.~ */ DO ~JoinParty()~ EXIT
  IF ~~ THEN REPLY #65728 /* ~Wait here awhile and I'll deal with you later.~ */ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 4.2 2.1 1.2
  SAY #65729 /* ~I enjoy one who is assertive, but do not cross the line, wael. I shall enjoy watching the full power of your godsblood... but tempt me not. I will join.~ */
  IF ~~ THEN REPLY #65730 /* ~Fine, let's go.~ */ DO ~JoinParty()~ EXIT
  IF ~~ THEN REPLY #65731 /* ~Wait here, then, and I will deal with you later.~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.1 5.1 3.1
  SAY #65732 /* ~You bring me only to wait about?  No doubt that you plan treachery.  So be it... it shall be met in kind, if that is what you aim for.~ */
  IF ~~ THEN DO ~MoveToPointNoInterrupt([2458.1473])
Face(0)~ EXIT
END

IF ~Global("ViconiaSummoned","GLOBAL",2)~ THEN BEGIN 8 // from:
  SAY #65733 /* ~I can only assume you have decided to take me with you, after all?  Or do you expect me to stand about until boredom strikes me down?~ [VICO2521] */
  IF ~~ THEN REPLY #65734 /* ~Yes, let's go.~ */ DO ~JoinParty()~ EXIT
  IF ~~ THEN REPLY #65735 /* ~Wait awhile longer, here.~ */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.1
  SAY #65736 /* ~Jal khaless zhah waela.  I should have known better than to think you know what is best.  Pfah!~ */
  IF ~~ THEN EXIT
END
